:root{
    
    --line: #222; 
    --skin: #fca;
    --hair: #631;
    --iris:#69c;

}

#cartoon{
    
    
    width: 80vmin;
    height: 80vmin;
    background: #f007;
    background-image: repeating-linear-gradient(#000 9.5, #002 10%), 
    repeating-linear-gradient(to left, #000 0 9.5%, #0002 10%);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--line);
    overflow: hidden;

}

#cartoon div,
#cartoon div.ha,
#cartoon div.hb{

    content: "";
    display: block;
    position: absolute;
    box-sizing: border-box;

}

.neck{

    width: 20%;
    height: 20%;
    background: var(--skin);
    top: 70%;
    left: 50%;
    transform: translate(-50%);
    border: 0.5vmin solid;
    border-bottom: 0;
}

.face{

    width: 45%;
    height: 60%;
    background: var(--skin);
    left: 50%;
    top: 20%;
    transform: translate(-50% 0);
    border-radius: 100% / 60% 60% 120% 12%;
    border: 0.5vmin solid;
    border-bottom-width: 0.85vmin;
    border-top-width: 0.33vmin;

}

.mouth{

    width: 80%;
    height: 12%;
    background: #00f4;
    border-radius: 100%;
    box-shadow: -1vmin 1.4vmin 0 -1vmin;
    top: 68%;
    left: 50%;
    transform: translateX(-50%) rotate(5deg);

}

.ear{

    width: 15%;
    height: 25%;
    background: var(--skin);
    border: 0.5vmin solid;
    border-radius: 100% / 50% 50% 20% 120%;
    box-shadow: -0.125vmin -0.25vmin;
    top: 40%;
    left: 20%;
    transform: rotate(-10deg);

}

.ear + .ear{

    left: auto;
    right: 21%;
    transform: scalex(-1) rotate(-17deg);

}

.eye{

    width: 30%;
    height: 30%;
    background: #fff;
    border: 0.5vmin solid;
    border-right-width: 0.33vmin;
    top: 23%;
    left: 15%;
    border-radius: 100% / 100% 60% 10% 15%;
    overflow: hidden;
    transform: rotate(-4deg);
    box-shadow: 
        0 -0.125vmin,
        0 -2vmin 0 1vmin var(--skin),
        -0.25vmin -6vmin 0 -0.5vmin;
   
}

.eye + .eye{

    left: auto;
    right: 12%;
    transform: scaleX(-1) rotate(-4deg);
    z-index: 1;

}

.eye::before{

    width: 5vmin;
    height: 5vmin;

}

.pupil{

    left: 18%;
    top: 40%;
    width: 7vmin;
    height: 7vmin;
    background:var(--iris);
    border-radius: 50%;
    border: 0.33vmin solid;
    background-image: 
    radial-gradient(circle at 30% 30%, #fff 7%, #0000 0),
    radial-gradient(circle at 40% 25%, #fff 4%, #0000 0),
    radial-gradient(var(--line) 35%, #0000 0);

}

.eye + .eye .pupil{

    transform: scaleX(-1);

}

.nose{

    background: #00f4;
    width: 20%;
    height: 15%;
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, 0);
    box-shadow: 0.5vmin -0.5vmin;

}

.hair-top{

    width: 15%;
    height: 15%;
    background: var(--hair);
    left: 50%;
    top: 12%;
    transform: translate(-50%, 0);
    filter: drop-shadow(0 0.75vmin);
    box-shadow:
     -6vmin 1vmin 0 -2vmin,
     -14vmin 2vmin 0 -1vmin,
     7vmin 1.25vmin 0 -1.75vmin,   
     14vmin 2.25vmin 0 -1.75vmin;

}

.hair-back{

    filter: 
      drop-shadow(-0.75vmin 0 var(--line)),
      drop-shadow(0.5vmin 0 var(--line)),
      drop-shadow(0 -0.5vmin var(--line));
    box-shadow: 
    -15vmin 18vmin,
    -17vmin 10vmin 0 2vmin,
    -20vmin 1vmin 0 -2vmin,
    -12vmin 3vmin 0 1vmin,
    -2vmin -5vmin 0 2vmin,
    1vmin -6vmin 0 4vmin,
    10vmin -7vmin 0 -1vmin,
    15vmin -5vmin,
    18vmin 3vmin 0 -1vmin,
    21vmin 9vmin,
    20vmin 15vmin 0 -3vmin,
    15vmin 19vmin;
    

}

.hair-neck{

    filter: 
    drop-shadow(-0.5vmin 0 var(--line)),
    drop-shadow(0.5vmin 0 var(--line)),
    drop-shadow(0 0.5vmin var(--line));
    box-shadow: 
    12vmin 37vmin 0 -2vmin,
    10vmin 41vmin 0 -3.5vmin,
    -12vmin 36.5vmin 0 -2vmin,
    -9vmin 40.5vmin 0 -3vmin;

}

.body{

    background: var(--skin);
    width: 80%;
    height: 40%;
    border-radius: 100% / 70% 80%;
    top: 87%;
    left: 50%;
    transform: translate(-50%, 0);


}




